package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ActSuppliesHistorydata;

/**
 *  历史数据Mapper接口
 *
 * @author dongjg
 * @date 2023-08-01
 */
public interface ActSuppliesHistorydataMapper
{
    /**
     * 查询 历史数据
     *
     * @param id  历史数据ID
     * @return  历史数据
     */
    public ActSuppliesHistorydata selectActSuppliesHistorydataById(Long id);

    /**
     * 查询 历史数据列表
     *
     * @param actSuppliesHistorydata  历史数据
     * @return  历史数据集合
     */
    public List<ActSuppliesHistorydata> selectActSuppliesHistorydataList(ActSuppliesHistorydata actSuppliesHistorydata);

    /**
     * 新增 历史数据
     *
     * @param actSuppliesHistorydata  历史数据
     * @return 结果
     */
    public int insertActSuppliesHistorydata(ActSuppliesHistorydata actSuppliesHistorydata);

    /**
     * 修改 历史数据
     *
     * @param actSuppliesHistorydata  历史数据
     * @return 结果
     */
    public int updateActSuppliesHistorydata(ActSuppliesHistorydata actSuppliesHistorydata);

    /**
     * 删除 历史数据
     *
     * @param id  历史数据ID
     * @return 结果
     */
    public int deleteActSuppliesHistorydataById(Long id);

    /**
     * 批量删除 历史数据
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteActSuppliesHistorydataByIds(Long[] ids);

    Long[] selectActSuppliesRole(Long templateId);

    Long selectActSuppliesHistorydatauuid(String exportUuid);

    void insertActSuppliesHistorydatas(ActSuppliesHistorydata actSuppliesHistorydata1);

    void updateActSuppliesHistorydatas(ActSuppliesHistorydata actSuppliesHistorydata);
    /**
     * 获取所有历史数据
     *
     * @return 结果
     */
    List<ActSuppliesHistorydata> selectActSuppliesHistorydata();

    int updateActSuppliesHistorydataStatusById(Long gethId);
}
